;***********************************************************************
;
;	Microchip 16-bit Embedded Control Design Contest
;
;	Entry # MT2268
;
;	Spa Pump Controller - Spa Interface Processor
;
;***********************************************************************
;
;	Some useful macros
;
;***********************************************************************

; Call an external subroutine

CALLX	macro	addr
	extern	addr
	call	addr
	endm

; Move a constant into RAM

MOVE	macro	value,reg
	movlw	value
	movwf	reg
	endm

; Set RAM bank and enable or disable nonzero bank warning message

SETBANK	macro	bankno
	banksel	bankno<<7
	if	bankno > 0
		errorlevel	-302	; suppress message 302
	else
		errorlevel	+302	; re-enable message 302
	endif
	endm



; The assembler has pseudo-instructions that implement
; these macros, but the assembler documentation recommends
; against using them, so we define our own just to be safe.

SKIPZ	macro
	btfss	STATUS,Z
	endm

SKIPNZ	macro
	btfsc	STATUS,Z
	endm

SKIPC	macro
	btfss	STATUS,C
	endm

SKIPNC	macro
	btfsc	STATUS,C
	endm


BEQ	macro	addr
	SKIPNZ
	goto	addr
	endm

BNE	macro	addr
	SKIPZ
	goto	addr
	endm

BCS	macro	addr
	SKIPNC
	goto	addr
	endm

BCC	macro	addr
	SKIPC
	goto	addr
	endm

