/****************************************************************
*
*		Microchip 16-bit Embedded Control Design Contest
*
*		Entry # MT2268
*
*		Spa Pump Controller
*
*****************************************************************
*
*		Miscellaneous peripheral definitions
*
*****************************************************************/


// Control the output port pins
// Each port has only one output bit, so we can
//  write the entire latch register at once

#define RELAY_OFF	LATF = 0x40		// Inrush control relay (active low)
#define RELAY_ON	LATF = 0x00

#define LED_OFF		LATE = 0x80		// Heartbeat LED (active low)
#define LED_ON		LATE = 0x00
#define LED_TOGGLE	LATE ^= 0x80


EXTERN volatile WORD ping_timer;		// Various msec timers
EXTERN volatile BYTE comm_timer;
EXTERN volatile BYTE inv_update_timer;
EXTERN volatile BYTE inv_update_flag;	// Time for an inverter parm update
EXTERN volatile BYTE line_loss;			// Power failure flag


void IO_init (void);
void Cmp_init (void);
void Timer_init (void);
void LED_run (void);
void Inrush_start (void);
WORD Inrush_run (void);
